<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>HWA Driver External Functions</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">HWA Driver External Functions</div>  </div>
</div><!--header-->
<div class="contents">

<p>The section has a list of all the exported API which the applications need to invoke in order to use the driver.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga8afc6cfbb7bdce6e7077559a983d0074"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga8afc6cfbb7bdce6e7077559a983d0074">HWA_init</a> (void)</td></tr>
<tr class="memdesc:ga8afc6cfbb7bdce6e7077559a983d0074"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to initialize the HWA module.  <a href="#ga8afc6cfbb7bdce6e7077559a983d0074">More...</a><br /></td></tr>
<tr class="separator:ga8afc6cfbb7bdce6e7077559a983d0074"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga57e442a7ff91f9c30e518c43b4e9955a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a">HWA_open</a> (uint32_t index, SOC_Handle socHandle, int32_t *errCode)</td></tr>
<tr class="memdesc:ga57e442a7ff91f9c30e518c43b4e9955a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to initialize HWA specified by the particular index value.  <a href="#ga57e442a7ff91f9c30e518c43b4e9955a">More...</a><br /></td></tr>
<tr class="separator:ga57e442a7ff91f9c30e518c43b4e9955a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga23be11112ef15989f9022b4494efc015"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga23be11112ef15989f9022b4494efc015">HWA_close</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle)</td></tr>
<tr class="memdesc:ga23be11112ef15989f9022b4494efc015"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to close a HWA peripheral specified by the HWA handle.  <a href="#ga23be11112ef15989f9022b4494efc015">More...</a><br /></td></tr>
<tr class="separator:ga23be11112ef15989f9022b4494efc015"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabcaaee7072b16138ea690a3cd3ded547"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gabcaaee7072b16138ea690a3cd3ded547">HWA_reset</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle)</td></tr>
<tr class="memdesc:gabcaaee7072b16138ea690a3cd3ded547"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to reset the internal state machine of the HWA.  <a href="#gabcaaee7072b16138ea690a3cd3ded547">More...</a><br /></td></tr>
<tr class="separator:gabcaaee7072b16138ea690a3cd3ded547"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0dd1d15452e3eaf43d2a66debcbe5c16"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga0dd1d15452e3eaf43d2a66debcbe5c16">HWA_configCommon</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle, <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga316d762a8dcea4a74d02401cc7833d88">HWA_CommonConfig</a> *commonConfig)</td></tr>
<tr class="memdesc:ga0dd1d15452e3eaf43d2a66debcbe5c16"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to set the common HWA configuration parameters needed for the next operations/iterations/paramsets of HWA.  <a href="#ga0dd1d15452e3eaf43d2a66debcbe5c16">More...</a><br /></td></tr>
<tr class="separator:ga0dd1d15452e3eaf43d2a66debcbe5c16"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga35572257b74b2a77b7033f8ae0d8c0b8"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga35572257b74b2a77b7033f8ae0d8c0b8">HWA_configParamSet</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle, uint8_t paramsetIdx, <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga364635c260f23bdbcdaf16d9aa4ba7c2">HWA_ParamConfig</a> *paramConfig, <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab9f0fec5f56673315bcaa40d7693e312">HWA_SrcDMAConfig</a> *dmaConfig)</td></tr>
<tr class="memdesc:ga35572257b74b2a77b7033f8ae0d8c0b8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to set the HWA configuration parameters for a given paramSet.  <a href="#ga35572257b74b2a77b7033f8ae0d8c0b8">More...</a><br /></td></tr>
<tr class="separator:ga35572257b74b2a77b7033f8ae0d8c0b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8e6e5e97eb3601245649e970c38546c4"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga8e6e5e97eb3601245649e970c38546c4">HWA_getDMAconfig</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle, uint8_t dmaTriggerSrc, <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab9f0fec5f56673315bcaa40d7693e312">HWA_SrcDMAConfig</a> *dmaConfig)</td></tr>
<tr class="memdesc:ga8e6e5e97eb3601245649e970c38546c4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to get the config to program the DMA for a given DMA Trigger channel. Application should use the returned config to program the DMA so that it can then in turn trigger the paramset. Application should make sure that the channel provided here in dmaTriggerSrc should match the <a class="el" href="struct_h_w_a___param_config__t.html#a1211dbccb47565bc6b28782f5d3af9fe">HWA_ParamConfig_t::dmaTriggerSrc</a> passed to <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga35572257b74b2a77b7033f8ae0d8c0b8" title="Function to set the HWA configuration parameters for a given paramSet. ">HWA_configParamSet()</a>  <a href="#ga8e6e5e97eb3601245649e970c38546c4">More...</a><br /></td></tr>
<tr class="separator:ga8e6e5e97eb3601245649e970c38546c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6c373283c0d859be9afc9d9c278466eb"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga6c373283c0d859be9afc9d9c278466eb">HWA_configRam</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle, uint8_t ramType, uint8_t *data, uint32_t dataSize, uint32_t startIdx)</td></tr>
<tr class="memdesc:ga6c373283c0d859be9afc9d9c278466eb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to set the HWA RAM (either Internal RAM or window RAM)  <a href="#ga6c373283c0d859be9afc9d9c278466eb">More...</a><br /></td></tr>
<tr class="separator:ga6c373283c0d859be9afc9d9c278466eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6a79cb84b4ff3f0d3cfe4053978cb6cb"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga6a79cb84b4ff3f0d3cfe4053978cb6cb">HWA_enableParamSetInterrupt</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle, uint8_t paramsetIdx, <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga1a390bbe3fe2e9f47c6323eb4014d484">HWA_InterruptConfig</a> *intrConfig)</td></tr>
<tr class="memdesc:ga6a79cb84b4ff3f0d3cfe4053978cb6cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to enable the CPU and/or DMA interrupt after a paramSet completion.  <a href="#ga6a79cb84b4ff3f0d3cfe4053978cb6cb">More...</a><br /></td></tr>
<tr class="separator:ga6a79cb84b4ff3f0d3cfe4053978cb6cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0d2448361c55c220c5bc458ebb01f974"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga0d2448361c55c220c5bc458ebb01f974">HWA_enableDoneInterrupt</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle, <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga11aa14c0866c24cbd1e3d63623d50725">HWA_Done_IntHandlerFuncPTR</a> callbackFn, void *callbackArg)</td></tr>
<tr class="memdesc:ga0d2448361c55c220c5bc458ebb01f974"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to enable the CPU interrupt after all programmed paramSets have been completed.  <a href="#ga0d2448361c55c220c5bc458ebb01f974">More...</a><br /></td></tr>
<tr class="separator:ga0d2448361c55c220c5bc458ebb01f974"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa986469b85c2eaa2b5037f2db2427969"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa986469b85c2eaa2b5037f2db2427969">HWA_disableParamSetInterrupt</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle, uint8_t paramsetIdx, uint8_t interruptTypeFlag)</td></tr>
<tr class="memdesc:gaa986469b85c2eaa2b5037f2db2427969"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to disable the CPU and/or DMA interrupt after a paramSet completion.  <a href="#gaa986469b85c2eaa2b5037f2db2427969">More...</a><br /></td></tr>
<tr class="separator:gaa986469b85c2eaa2b5037f2db2427969"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeba0241747a1faca4765d09c345f5896"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaeba0241747a1faca4765d09c345f5896">HWA_disableDoneInterrupt</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle)</td></tr>
<tr class="memdesc:gaeba0241747a1faca4765d09c345f5896"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to disable the CPU interrupt after all programmed paramSets have been completed.  <a href="#gaeba0241747a1faca4765d09c345f5896">More...</a><br /></td></tr>
<tr class="separator:gaeba0241747a1faca4765d09c345f5896"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf85c54f23e29311b75b4f2de7664c5e9"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaf85c54f23e29311b75b4f2de7664c5e9">HWA_enable</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle, uint8_t flagEnDis)</td></tr>
<tr class="memdesc:gaf85c54f23e29311b75b4f2de7664c5e9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to enable the state machine of the HWA. This should be called after paramset and RAM have been programmed.  <a href="#gaf85c54f23e29311b75b4f2de7664c5e9">More...</a><br /></td></tr>
<tr class="separator:gaf85c54f23e29311b75b4f2de7664c5e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga57f9d9ec83f4c512f293e77f630b73ec"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57f9d9ec83f4c512f293e77f630b73ec">HWA_setSoftwareTrigger</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle)</td></tr>
<tr class="memdesc:ga57f9d9ec83f4c512f293e77f630b73ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to manually trigger the execution of the state machine via software.  <a href="#ga57f9d9ec83f4c512f293e77f630b73ec">More...</a><br /></td></tr>
<tr class="separator:ga57f9d9ec83f4c512f293e77f630b73ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3380bf43efe0635d2d9914e4be809ab6"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga3380bf43efe0635d2d9914e4be809ab6">HWA_setDMA2ACCManualTrig</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle, uint16_t idx)</td></tr>
<tr class="memdesc:ga3380bf43efe0635d2d9914e4be809ab6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to manually trigger the execution of the state machine waiting on DMA via software.  <a href="#ga3380bf43efe0635d2d9914e4be809ab6">More...</a><br /></td></tr>
<tr class="separator:ga3380bf43efe0635d2d9914e4be809ab6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga998ce876fa761e5b76dc02c5df735d21"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga998ce876fa761e5b76dc02c5df735d21">HWA_readClipStatus</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle, uint8_t *pbuf, uint8_t size)</td></tr>
<tr class="memdesc:ga998ce876fa761e5b76dc02c5df735d21"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to read the Clip Status registers.  <a href="#ga998ce876fa761e5b76dc02c5df735d21">More...</a><br /></td></tr>
<tr class="separator:ga998ce876fa761e5b76dc02c5df735d21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7228706ec38cb2f597fe9422826bf568"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga7228706ec38cb2f597fe9422826bf568">HWA_clearClipStatus</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle)</td></tr>
<tr class="memdesc:ga7228706ec38cb2f597fe9422826bf568"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to clear the Clip Status registers.  <a href="#ga7228706ec38cb2f597fe9422826bf568">More...</a><br /></td></tr>
<tr class="separator:ga7228706ec38cb2f597fe9422826bf568"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac0cebf1425df11066ba7bbc9de767689"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac0cebf1425df11066ba7bbc9de767689">HWA_readStatsReg</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle, <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5dc27db8f86d9ff05770a983ec1a4526">HWA_Stats</a> *pStats, uint8_t numIter)</td></tr>
<tr class="memdesc:gac0cebf1425df11066ba7bbc9de767689"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to read the 4 sets of 'MAX' statistics register.  <a href="#gac0cebf1425df11066ba7bbc9de767689">More...</a><br /></td></tr>
<tr class="separator:gac0cebf1425df11066ba7bbc9de767689"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeca71904c534997b6604612f6a4cf304"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaeca71904c534997b6604612f6a4cf304">HWA_readCFARPeakCountReg</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle, uint8_t *pbuf, uint8_t size)</td></tr>
<tr class="memdesc:gaeca71904c534997b6604612f6a4cf304"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to read the PEAKCNT register.  <a href="#gaeca71904c534997b6604612f6a4cf304">More...</a><br /></td></tr>
<tr class="separator:gaeca71904c534997b6604612f6a4cf304"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4804d16dd728be35a9adab7a0ee34f31"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga4804d16dd728be35a9adab7a0ee34f31">HWA_readDebugReg</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle, <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga32726e162c47ad33413250ab066fa71d">HWA_DebugStats</a> *pStats)</td></tr>
<tr class="memdesc:ga4804d16dd728be35a9adab7a0ee34f31"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to read the debug registers (paramcurr, loopcou, acc_trig_in_stat)  <a href="#ga4804d16dd728be35a9adab7a0ee34f31">More...</a><br /></td></tr>
<tr class="separator:ga4804d16dd728be35a9adab7a0ee34f31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac10287a91d6781a79f748441f5648d50"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac10287a91d6781a79f748441f5648d50">HWA_clearDebugReg</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle)</td></tr>
<tr class="memdesc:gac10287a91d6781a79f748441f5648d50"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to clear the debug registers (acc_trig_in_clr)  <a href="#gac10287a91d6781a79f748441f5648d50">More...</a><br /></td></tr>
<tr class="separator:gac10287a91d6781a79f748441f5648d50"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>The section has a list of all the exported API which the applications need to invoke in order to use the driver. </p>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga7228706ec38cb2f597fe9422826bf568"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t HWA_clearClipStatus </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Function to clear the Clip Status registers. </p>
<dl class="section pre"><dt>Precondition</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> has been called.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">handle</td><td>A HWA_Handle returned from <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 upon success. error code if an error occurs.</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="gac10287a91d6781a79f748441f5648d50"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t HWA_clearDebugReg </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Function to clear the debug registers (acc_trig_in_clr) </p>
<dl class="section pre"><dt>Precondition</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> has been called.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">handle</td><td>A HWA_Handle returned from <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 upon success. error code if an error occurs.</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga23be11112ef15989f9022b4494efc015"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t HWA_close </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Function to close a HWA peripheral specified by the HWA handle. </p>
<dl class="section pre"><dt>Precondition</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> has been called.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">handle</td><td>A HWA_Handle returned from <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 upon success. error code if an error occurs.</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga0dd1d15452e3eaf43d2a66debcbe5c16"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t HWA_configCommon </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga316d762a8dcea4a74d02401cc7833d88">HWA_CommonConfig</a> *&#160;</td>
          <td class="paramname"><em>commonConfig</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Function to set the common HWA configuration parameters needed for the next operations/iterations/paramsets of HWA. </p>
<dl class="section pre"><dt>Precondition</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> has been called.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">handle</td><td>A HWA_Handle returned from <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a></td></tr>
    <tr><td class="paramname">commonConfig</td><td>HWA Common Config Parameters</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 upon success. error code if an error occurs.</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga35572257b74b2a77b7033f8ae0d8c0b8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t HWA_configParamSet </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>paramsetIdx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga364635c260f23bdbcdaf16d9aa4ba7c2">HWA_ParamConfig</a> *&#160;</td>
          <td class="paramname"><em>paramConfig</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab9f0fec5f56673315bcaa40d7693e312">HWA_SrcDMAConfig</a> *&#160;</td>
          <td class="paramname"><em>dmaConfig</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Function to set the HWA configuration parameters for a given paramSet. </p>
<dl class="section pre"><dt>Precondition</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> has been called.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">handle</td><td>A HWA_Handle returned from <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a></td></tr>
    <tr><td class="paramname">paramsetIdx</td><td>A valid paramSet index for which the paramConfig is provided.</td></tr>
    <tr><td class="paramname">paramConfig</td><td>HWA ParamSet Config Parameters</td></tr>
    <tr><td class="paramname">dmaConfig</td><td>[out] This parameter is set by the driver with values that user should use to program the source trigger DMA. user should provide a valid buffer here if the triggerMode is set to DMA in paramConfig</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 upon success. error code if an error occurs.</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga6c373283c0d859be9afc9d9c278466eb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t HWA_configRam </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>ramType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>dataSize</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>startIdx</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Function to set the HWA RAM (either Internal RAM or window RAM) </p>
<dl class="section pre"><dt>Precondition</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> has been called.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">handle</td><td>A HWA_Handle returned from <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a></td></tr>
    <tr><td class="paramname">ramType</td><td>Use defines <a class="el" href="group___h_w_a___r_a_m___t_y_p_e.html">HWA_RAM_TYPE</a></td></tr>
    <tr><td class="paramname">data</td><td>data pointer that needs to be copied to RAM</td></tr>
    <tr><td class="paramname">dataSize</td><td>Size of data to be copied</td></tr>
    <tr><td class="paramname">startIdx</td><td>start index (in bytes) within RAM where data needs to be copied</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 upon success. error code if an error occurs.</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="gaeba0241747a1faca4765d09c345f5896"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t HWA_disableDoneInterrupt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Function to disable the CPU interrupt after all programmed paramSets have been completed. </p>
<dl class="section pre"><dt>Precondition</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> has been called.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">handle</td><td>A HWA_Handle returned from <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 upon success. error code if an error occurs.</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="gaa986469b85c2eaa2b5037f2db2427969"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t HWA_disableParamSetInterrupt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>paramsetIdx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>interruptTypeFlag</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Function to disable the CPU and/or DMA interrupt after a paramSet completion. </p>
<dl class="section pre"><dt>Precondition</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> has been called.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">handle</td><td>A HWA_Handle returned from <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a></td></tr>
    <tr><td class="paramname">paramsetIdx</td><td>A valid paramSet index for which the interrupt is to be disabled</td></tr>
    <tr><td class="paramname">interruptTypeFlag</td><td>Flag to indicate if CPU and/or DMA interrupts are to be disabled</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 upon success. error code if an error occurs.</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="gaf85c54f23e29311b75b4f2de7664c5e9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t HWA_enable </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>flagEnDis</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Function to enable the state machine of the HWA. This should be called after paramset and RAM have been programmed. </p>
<dl class="section pre"><dt>Precondition</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> HWA_ConfigCommon() HWA_ConfigParamSet HWA_ConfigRam has been called.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">handle</td><td>A HWA_Handle returned from <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a></td></tr>
    <tr><td class="paramname">flagEnDis</td><td>Enable/Disable Flag: 0-disable, 1-enable</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 upon success. error code if an error occurs.</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga0d2448361c55c220c5bc458ebb01f974"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t HWA_enableDoneInterrupt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga11aa14c0866c24cbd1e3d63623d50725">HWA_Done_IntHandlerFuncPTR</a>&#160;</td>
          <td class="paramname"><em>callbackFn</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>callbackArg</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Function to enable the CPU interrupt after all programmed paramSets have been completed. </p>
<dl class="section pre"><dt>Precondition</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> has been called.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">handle</td><td>A HWA_Handle returned from <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a></td></tr>
    <tr><td class="paramname">callbackFn</td><td>user defined callback function to be called when this interrupt is generated</td></tr>
    <tr><td class="paramname">callbackArg</td><td>user defined callback arg for the callback function</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 upon success. error code if an error occurs.</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga6a79cb84b4ff3f0d3cfe4053978cb6cb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t HWA_enableParamSetInterrupt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>paramsetIdx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga1a390bbe3fe2e9f47c6323eb4014d484">HWA_InterruptConfig</a> *&#160;</td>
          <td class="paramname"><em>intrConfig</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Function to enable the CPU and/or DMA interrupt after a paramSet completion. </p>
<dl class="section pre"><dt>Precondition</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> has been called.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">handle</td><td>A HWA_Handle returned from <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a></td></tr>
    <tr><td class="paramname">paramsetIdx</td><td>A valid paramSet index for which the intrConfig is provided.</td></tr>
    <tr><td class="paramname">intrConfig</td><td>HWA Interrupt Config Parameters</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 upon success. error code if an error occurs.</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga8e6e5e97eb3601245649e970c38546c4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t HWA_getDMAconfig </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>dmaTriggerSrc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab9f0fec5f56673315bcaa40d7693e312">HWA_SrcDMAConfig</a> *&#160;</td>
          <td class="paramname"><em>dmaConfig</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Function to get the config to program the DMA for a given DMA Trigger channel. Application should use the returned config to program the DMA so that it can then in turn trigger the paramset. Application should make sure that the channel provided here in dmaTriggerSrc should match the <a class="el" href="struct_h_w_a___param_config__t.html#a1211dbccb47565bc6b28782f5d3af9fe">HWA_ParamConfig_t::dmaTriggerSrc</a> passed to <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga35572257b74b2a77b7033f8ae0d8c0b8" title="Function to set the HWA configuration parameters for a given paramSet. ">HWA_configParamSet()</a> </p>
<dl class="section pre"><dt>Precondition</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> has been called.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">handle</td><td>A HWA_Handle returned from <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a></td></tr>
    <tr><td class="paramname">dmaTriggerSrc</td><td>Same as <a class="el" href="struct_h_w_a___param_config__t.html#a1211dbccb47565bc6b28782f5d3af9fe">HWA_ParamConfig_t::dmaTriggerSrc</a> of the paramset for whom this DMA is getting configured</td></tr>
    <tr><td class="paramname">dmaConfig</td><td>[out]This parameter is set by the driver with values that user should use to program the source trigger DMA. user should provide a valid buffer here if the triggerMode is set to DMA in paramConfig</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 upon success. error code if an error occurs.</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga8afc6cfbb7bdce6e7077559a983d0074"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void HWA_init </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Function to initialize the HWA module. </p>
<dl class="section pre"><dt>Precondition</dt><dd>This function must be called once per system and before any other HWA driver APIs. It resets the HWA H/W instances in the system. </dd></dl>

</div>
</div>
<a class="anchor" id="ga57e442a7ff91f9c30e518c43b4e9955a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> HWA_open </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">SOC_Handle&#160;</td>
          <td class="paramname"><em>socHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Function to initialize HWA specified by the particular index value. </p>
<dl class="section pre"><dt>Precondition</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga8afc6cfbb7bdce6e7077559a983d0074" title="Function to initialize the HWA module. ">HWA_init()</a> has been called</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">index</td><td>HWA instance number</td></tr>
    <tr><td class="paramname">socHandle</td><td>SOC Handle (can be obtained used SOC_init by the caller)</td></tr>
    <tr><td class="paramname">errCode</td><td>[out] valid errorCode if NULL handle returned.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A HWA_Handle upon success. NULL if an error occurs.</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga8afc6cfbb7bdce6e7077559a983d0074" title="Function to initialize the HWA module. ">HWA_init()</a> </dd>
<dd>
<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga23be11112ef15989f9022b4494efc015" title="Function to close a HWA peripheral specified by the HWA handle. ">HWA_close()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="gaeca71904c534997b6604612f6a4cf304"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t HWA_readCFARPeakCountReg </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>pbuf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Function to read the PEAKCNT register. </p>
<dl class="section pre"><dt>Precondition</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> has been called.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">handle</td><td>A HWA_Handle returned from <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a></td></tr>
    <tr><td class="paramname">pbuf</td><td>pointer to a memory where value of the PEAKCNT Registers would be copied</td></tr>
    <tr><td class="paramname">size</td><td>size (in bytes) of the pbuf register provided. It should be atleast 2 bytes.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 upon success. error code if an error occurs.</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga998ce876fa761e5b76dc02c5df735d21"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t HWA_readClipStatus </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>pbuf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Function to read the Clip Status registers. </p>
<dl class="section pre"><dt>Precondition</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> has been called.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">handle</td><td>A HWA_Handle returned from <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a></td></tr>
    <tr><td class="paramname">pbuf</td><td>pointer to a uint8_t size memory where value of Clip Status Register would be copied</td></tr>
    <tr><td class="paramname">size</td><td>size (in bytes) of the pbuf register provided. It should be atleast 2 bytes.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 upon success. error code if an error occurs.</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga4804d16dd728be35a9adab7a0ee34f31"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t HWA_readDebugReg </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga32726e162c47ad33413250ab066fa71d">HWA_DebugStats</a> *&#160;</td>
          <td class="paramname"><em>pStats</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Function to read the debug registers (paramcurr, loopcou, acc_trig_in_stat) </p>
<dl class="section pre"><dt>Precondition</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> has been called.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">handle</td><td>A HWA_Handle returned from <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a></td></tr>
    <tr><td class="paramname">pStats</td><td>pointer to a memory of type HWA_debugStats where value of the RDSTATUS and HWACCREG12 Registers would be copied</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 upon success. error code if an error occurs.</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="gac0cebf1425df11066ba7bbc9de767689"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t HWA_readStatsReg </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5dc27db8f86d9ff05770a983ec1a4526">HWA_Stats</a> *&#160;</td>
          <td class="paramname"><em>pStats</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>numIter</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Function to read the 4 sets of 'MAX' statistics register. </p>
<dl class="section pre"><dt>Precondition</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> has been called.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">handle</td><td>A HWA_Handle returned from <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a></td></tr>
    <tr><td class="paramname">pStats</td><td>pointer to a memory of type HWA_Stats where value of all the Max and statistics Registers would be copied</td></tr>
    <tr><td class="paramname">numIter</td><td>number of iterations to read. Value 1-4 should be provided. User is expected to provide enough space for the pStats to hold 'numIter' worth of HWA_Stats Ex: HWA_Stats appHWAStats[3]; HWA_readStatsReg(appHWAhandle,appHWAStats,3);</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 upon success. error code if an error occurs.</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="gabcaaee7072b16138ea690a3cd3ded547"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t HWA_reset </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Function to reset the internal state machine of the HWA. </p>
<dl class="section pre"><dt>Precondition</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> has been called.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">handle</td><td>A HWA_Handle returned from <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 upon success. error code if an error occurs.</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga3380bf43efe0635d2d9914e4be809ab6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t HWA_setDMA2ACCManualTrig </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>idx</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Function to manually trigger the execution of the state machine waiting on DMA via software. </p>
<dl class="section pre"><dt>Precondition</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> has been called.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">handle</td><td>A HWA_Handle returned from <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a></td></tr>
    <tr><td class="paramname">idx</td><td>DMA channel number for whom software should simulate the trigger</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 upon success. error code if an error occurs.</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga57f9d9ec83f4c512f293e77f630b73ec"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t HWA_setSoftwareTrigger </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Function to manually trigger the execution of the state machine via software. </p>
<dl class="section pre"><dt>Precondition</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> has been called.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">handle</td><td>A HWA_Handle returned from <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 upon success. error code if an error occurs.</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> </dd></dl>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
